Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Community Manager
1,768 Views

installed clanton .... no command available

Hello,

I put the files which are included in SDCard.1.0.4 on my SD-Card and so the Board booted from the card.

but I can't use:

sudo

apt-get

easy_install

or something like that.

And then I tried to install libxsl but it ends with the Error configure: error: no acceptable C compiler found in $PATH....

So my questions is, is that normal? Have I forgotten some steps?

I appreciate every little help ! Thank you!

7 Replies
Highlighted
Honored Contributor I
9 Views

Hi,

If this is related to the thread "problems installing packages" I suggest you do not start a new one. If not, please explain difference/s or the actual problem.

Fernando.

0 Kudos
Highlighted
Community Manager
9 Views

It is different because in the other post I used the IoT-Image...

and with that it was possible to use easy_install and install pip and use the compiler.

and now.... I can't install pip, use the compiler or use easy_install or something like that....

0 Kudos
Highlighted
Honored Contributor I
9 Views

I see... where did you get the SDCard.1.0.4?

Fernando.

0 Kudos
Highlighted
Community Manager
9 Views

From the official intel side.

https://downloadcenter.intel.com/de/download/24355/Intel-Arduino-IDE-1-6-0 Download Intel® arduino * IDE 1.6.0

0 Kudos
Highlighted
Honored Contributor I
9 Views

la_karli wrote:

From the official intel side.

https://downloadcenter.intel.com/de/download/24355/Intel-Arduino-IDE-1-6-0 Download Intel® arduino * IDE 1.6.0

I'm completely lost... I did not use that image (aka uclibc based image) anymore because, as explained at some page at Intel stated: "The uClibc image is no longer supported, but offered here for your convenience."... now the referred page does not exist anymore (at least at that link) and the uclibc seems to be safe and sound (the link you pointed at is less than 2 months old)...

 

Maybe someone at Intel has something else to say, explain, and/or help... I'm not.

 

Fernando.

0 Kudos
Highlighted
Community Manager
9 Views

Hi guys,

 

 

Commands like sudo and apt-get are not available on Yocto, for installing packages you need to use opkg, you don't need to use sudo because you are already logged as root.

 

Regarding why you can't install packages/libraries that you are able to install in the IoT image, is because this image (SDcard image) is the uClibc image and do not have development tools, if you want to install them take a look at: http://alextgalileo.altervista.org/blog/installing-development-tools-onto-official-linux-image/ http://alextgalileo.altervista.org/blog/installing-development-tools-onto-official-linux-image/

 

 

Regards,

 

Charlie

 

Highlighted
Community Manager
9 Views

Thanks that helped me a lot!

0 Kudos